 /*****************************************************************************
 *   Copyright (C) 2004 by Michael Schulze                                    *
 *   mike.s@genion.de                                                         *
 *                                                                            *
 *  The code contained in this file is free software; you can redistribute    *
 *  it and/or modify it under the terms of the GNU Lesser General Public      *
 *  License as published by the Free Software Foundation; either version      *
 *  2.1 of the License, or (at your option) any later version.                *
 *                                                                            *
 *  This file is distributed in the hope that it will be useful,              *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU         *
 *  Lesser General Public License for more details.                           *
 *                                                                            *
 *  You should have received a copy of the GNU Lesser General Public          *
 *  License along with this code; if not, write to the Free Software          *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
 *                                                                            *
 *  iTunes and iPod are trademarks of Apple                                   *
 *                                                                            *
 *  This product is not supported/written/published by Apple!                 *
 *****************************************************************************/

#include "playlistitem.h"
#include "utils.h"

namespace itunesdb {

PlaylistItem::PlaylistItem( Q_UINT32 ipod_id)
    : ListItem( ITEMTYPE_PLAYLISTITEM), m_pos( PLAYLISTITEM_INVALID )
{
    m_id = ipod_id;
}

PlaylistItem::PlaylistItem()
    : ListItem( ITEMTYPE_PLAYLISTITEM), m_pos( PLAYLISTITEM_INVALID )
{
    m_id = PLAYLISTITEM_INVALID;
}

PlaylistItem::~PlaylistItem() {
}

void PlaylistItem::readMHOD( QDataStream& stream, Q_UINT32 type, Q_UINT32 blocklen ) {
    switch ( type ) {
    case MHOD_PLAYLIST:
        itunesdb::utils::seekRelative( stream, 8 );
        stream >> m_pos;
        itunesdb::utils::seekRelative( stream, blocklen - 28 );
        break;
    default:
        ListItem::readMHOD( stream, type, blocklen );
        break;
    }
}

Q_UINT32 PlaylistItem::getID() const {
    return m_id;
}

Q_UINT32 PlaylistItem::getPosition() const {
    return m_pos;
}

void PlaylistItem::setPosition( Q_UINT32 pos ) {
    m_pos = pos;
}

void PlaylistItem::doneAddingData() {
    // do nothing here for now
}

}
